%global           pypi_name cppy

Name:             python-cppy
Version:          1.3.1
Release:          %mkrel 1
Summary:          A C++ header library for Python extension modules
License:          BSD
Group:            Development/Python
URL:              https://pypi.org/project/cppy/
Source0:          %{pypi_source}
BuildArch:        noarch
BuildRequires:    python3-devel

%description
A small C++ header library which makes it easier to write Python extension
modules. The primary feature is a PyObject smart pointer which automatically
handles reference counting and provides convenience methods for performing
common object operations.

%package -n python3-%{pypi_name}
Summary:        Python3 implementation of Cppy
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A small C++ header library which makes it easier to write Python extension
modules. The primary feature is a PyObject smart pointer which automatically
handles reference counting and provides convenience methods for performing
common object operations.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files cppy

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst


%changelog
* Sat Mar 01 2025 wally <wally> 1.3.1-1.mga10
+ Revision: 2155852
- new version 1.3.1
- rebuild for python3.13

* Sat Dec 07 2024 eatdirt <eatdirt> 1.3.0-1.mga10
+ Revision: 2122540
- Update to version 1.3.0

* Mon Dec 11 2023 papoteur <papoteur> 1.2.1-3.mga10
+ Revision: 2017134
- rebuild for python3.12
- adapt to pyproject

* Fri Dec 08 2023 wally <wally> 1.2.1-2.mga10
+ Revision: 2015833
- rebuild for py3.12

* Thu May 05 2022 eatdirt <eatdirt> 1.2.1-1.mga9
+ Revision: 1856428
- Upgrade to version 1.2.1
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sun Feb 13 2022 tmb <tmb> 1.1.0-3.mga9
+ Revision: 1773979
- fix filelist
- rebuild for python 3.10

* Mon Mar 15 2021 wally <wally> 1.1.0-2.mga9
+ Revision: 1703568
- rebuild for python 3.9

* Sat Jul 11 2020 eatdirt <eatdirt> 1.1.0-1.mga8
+ Revision: 1605172
- imported package python-cppy

